org.jbpm.casemgmt.impl.marshalling

## Class CaseMarshallerFactory

- java.lang.Object
- - org.jbpm.casemgmt.impl.marshalling.CaseMarshallerFactory

-     public class CaseMarshallerFactory
      extends Object

  Utility class to help with creating properly setup CaseFileInstanceMarshallerStrategy

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CaseMarshallerFactory` | `builder()` Builds new instance of the factory to append marshalling strategies to with thread context classloader
    `static CaseMarshallerFactory` | `builder(ClassLoader classLoader)` Builds new instance of the factory to append marshalling strategies to
    `org.kie.api.marshalling.ObjectMarshallingStrategy` | `get()` Returns fully configured CaseFileMarshaller with previously set child marshallers
    `String` | `toString()` Retruns string representation (as mvel expression) of the configuration
    `CaseMarshallerFactory` | `with(org.kie.api.marshalling.ObjectMarshallingStrategy custom)` Adds given custom marshalling strategy to be used by CaseFileMarshaller
    `CaseMarshallerFactory` | `withDoc()` Adds document marshalling strategy to be used by CaseFileMarshaller
    `CaseMarshallerFactory` | `withJpa(String puName)` Add JPA marshalling strategy to be used by CaseFileMarshaller

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### withDoc

          public CaseMarshallerFactory withDoc()

      Adds document marshalling strategy to be used by CaseFileMarshaller
      Returns:
        this factory instance

    - #### withJpa

          public CaseMarshallerFactory withJpa(String puName)

      Add JPA marshalling strategy to be used by CaseFileMarshaller
      Parameters:
        `puName` - persistence unit name to be used
      Returns:
        this factory instance

    - #### with

          public CaseMarshallerFactory with(org.kie.api.marshalling.ObjectMarshallingStrategy custom)

      Adds given custom marshalling strategy to be used by CaseFileMarshaller
      Parameters:
        `custom` - any marshalling strategy fully configured
      Returns:
        this factory instance

    - #### get

          public org.kie.api.marshalling.ObjectMarshallingStrategy get()

      Returns fully configured CaseFileMarshaller with previously set child marshallers

    - #### toString

          public String toString()

      Retruns string representation (as mvel expression) of the configuration
      Overrides:
        `toString` in class `Object`

    - #### builder

          public static CaseMarshallerFactory builder(ClassLoader classLoader)

      Builds new instance of the factory to append marshalling strategies to
      Parameters:
        `classLoader` - custom class loader to be used

    - #### builder

          public static CaseMarshallerFactory builder()

      Builds new instance of the factory to append marshalling strategies to with thread context classloader

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.